# System: Particle with a Constant Acceleration
# Program to generate a plot of velocity vs. time
#
################################################################################
# Dr. Walter F. de Azevedo, Jr.                                                #
# https://azevedolab.net/                                                      #
# January 12, 2024                                                             #
################################################################################
#
# Import section
import numpy as np
import matplotlib.pyplot as plt

# Initial condition
v0 = 5.0

# Set up constant
a = 1.0

# Define plot parameters
plot_file = "velocity.png"
plot_dpi = 900
title_in = "Particle with a Constant Acceleration: dv/dt = a,\n"
title_in += "a = 1.0 m/s$^2$ and v$_0$ = 5.0 m/s"
x_label_in = "t(s)"
y_label_in = "v(m/s)"
fontsize_title_in = 12
fontsize_x_label_in = 12
fontsize_y_label_in = 12
color_in = "blue"

# Define x-axis
start_x,end_x,n_points = 0.0,20.0,1000
x = np.linspace(start_x,end_x,n_points)

# Define function2plot
function2plot = v0 + a*x

# Plotting
plt.plot(x, function2plot, c = color_in)
plt.title(title_in, fontsize = fontsize_title_in)
plt.xlabel(x_label_in,fontsize = fontsize_x_label_in)
plt.ylabel(y_label_in,fontsize = fontsize_y_label_in)
plt.grid()
plt.show()
plt.savefig(plot_file,dpi=plot_dpi)